about summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rw-r--r--.travis.yml3
-rw-r--r--src/event/client_events.c14
-rwxr-xr-xtravis-build.sh132
3 files changed, 140 insertions, 9 deletions
diff --git a/.travis.yml b/.travis.yml
index f01c19d6..5c7435fb 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -32,5 +32,4 @@ install:
     - sudo make install
     - cd ..
     - rm -rf stabber
-    - ./bootstrap.sh
-script: ./configure --enable-python-plugins --enable-c-plugins && make && make check
+script: ./travis-build.sh
diff --git a/src/event/client_events.c b/src/event/client_events.c
index c8111970..31ddcad9 100644
--- a/src/event/client_events.c
+++ b/src/event/client_events.c
@@ -159,9 +159,9 @@ cl_ev_send_msg(ProfChatWin *chatwin, const char *const msg, const char *const oo
 #ifndef HAVE_LIBGPGME
     gboolean handled = otr_on_message_send(chatwin, plugin_msg);
     if (!handled) {
-        char *id = message_send_chat(chatwin->barejid, plugin_msg, oob_url);
+        char *id = message_send_chat(chatwin->barejid, plugin_msg, oob_url, request_receipt);
         chat_log_msg_out(chatwin->barejid, plugin_msg);
-        chatwin_outgoing_msg(chatwin, plugin_msg, id, PROF_MSG_PLAIN);
+        chatwin_outgoing_msg(chatwin, plugin_msg, id, PROF_MSG_PLAIN, request_receipt);
         free(id);
     }
 
@@ -177,12 +177,12 @@ cl_ev_send_msg(ProfChatWin *chatwin, const char *const msg, const char *const oo
     if (chatwin->pgp_send) {
         char *id = message_send_chat_pgp(chatwin->barejid, plugin_msg);
         chat_log_pgp_msg_out(chatwin->barejid, plugin_msg);
-        chatwin_outgoing_msg(chatwin, plugin_msg, id, PROF_MSG_PGP);
+        chatwin_outgoing_msg(chatwin, plugin_msg, id, PROF_MSG_PGP, request_receipt);
         free(id);
     } else {
-        char *id = message_send_chat(chatwin->barejid, plugin_msg, oob_url);
+        char *id = message_send_chat(chatwin->barejid, plugin_msg, oob_url, request_receipt);
         chat_log_msg_out(chatwin->barejid, plugin_msg);
-        chatwin_outgoing_msg(chatwin, plugin_msg, id, PROF_MSG_PLAIN);
+        chatwin_outgoing_msg(chatwin, plugin_msg, id, PROF_MSG_PLAIN, request_receipt);
         free(id);
     }
 
@@ -195,9 +195,9 @@ cl_ev_send_msg(ProfChatWin *chatwin, const char *const msg, const char *const oo
 // OTR unsupported, PGP unsupported
 #ifndef HAVE_LIBOTR
 #ifndef HAVE_LIBGPGME
-    char *id = message_send_chat(chatwin->barejid, plugin_msg, oob_url);
+    char *id = message_send_chat(chatwin->barejid, plugin_msg, oob_url, request_receipt);
     chat_log_msg_out(chatwin->barejid, plugin_msg);
-    chatwin_outgoing_msg(chatwin, plugin_msg, id, PROF_MSG_PLAIN);
+    chatwin_outgoing_msg(chatwin, plugin_msg, id, PROF_MSG_PLAIN, request_receipt);
     free(id);
 
     plugins_post_chat_message_send(chatwin->barejid, plugin_msg);
diff --git a/travis-build.sh b/travis-build.sh
new file mode 100755
index 00000000..6e9f0b0a
--- /dev/null
+++ b/travis-build.sh
@@ -0,0 +1,132 @@
+#!/bin/bash
+
+error_handler()
+{
+    ERR_CODE=$?
+    echo
+    echo "Error $ERR_CODE with command '$BASH_COMMAND' on line ${BASH_LINENO[0]}. Exiting."
+    echo
+    exit $ERR_CODE
+}
+
+trap error_handler ERR
+
+./bootstrap.sh
+
+echo
+echo "--> Building with ./configure --enable-notifications --enable-icons --enable-otr --enable-pgp --enable-plugins --enable-c-plugins --enable-python-plugins --with-xscreensaver"
+echo
+./configure --enable-notifications --enable-icons --enable-otr --enable-pgp --enable-plugins --enable-c-plugins --enable-python-plugins --with-xscreensaver
+make
+make check-unit
+./profanity -v
+make clean
+
+echo
+echo "--> Building with ./configure --disable-notifications --disable-icons --disable-otr --disable-pgp --disable-plugins --disable-c-plugins --disable-python-plugins --without-xscreensaver"
+echo
+./configure --disable-notifications --disable-icons --disable-otr --disable-pgp --disable-plugins --disable-c-plugins --disable-python-plugins --without-xscreensaver
+make
+make check-unit
+./profanity -v
+make clean
+
+echo
+echo "--> Building with ./configure --disable-notifications"
+echo
+./configure --disable-notifications
+make
+make check-unit
+./profanity -v
+make clean
+
+echo
+echo "--> Building with ./configure --disable-icons"
+echo
+./configure --disable-icons
+make
+make check-unit
+./profanity -v
+make clean
+
+echo
+echo "--> Building with ./configure --disable-otr"
+echo
+./configure --disable-otr
+make
+make check-unit
+./profanity -v
+make clean
+
+echo
+echo "--> Building with ./configure --disable-pgp"
+echo
+./configure --disable-pgp
+make
+make check-unit
+./profanity -v
+make clean
+
+echo
+echo "--> Building with ./configure --disable-pgp --disable-otr"
+echo
+./configure --disable-pgp --disable-otr
+make
+make check-unit
+./profanity -v
+make clean
+
+echo
+echo "--> Building with ./configure --disable-plugins"
+echo
+./configure --disable-plugins
+make
+make check-unit
+./profanity -v
+make clean
+
+echo
+echo "--> Building with ./configure --disable-python-plugins"
+echo
+./configure --disable-python-plugins
+make
+make check-unit
+./profanity -v
+make clean
+
+echo
+echo "--> Building with ./configure --disable-c-plugins"
+echo
+./configure --disable-c-plugins
+make
+make check-unit
+./profanity -v
+make clean
+
+echo
+echo "--> Building with ./configure --disable-c-plugins --disable-python-plugins"
+echo
+./configure --disable-c-plugins --disable-python-plugins
+make
+make check-unit
+./profanity -v
+make clean
+
+echo
+echo "--> Building with ./configure --without-xscreensaver"
+echo
+./configure --without-xscreensaver
+make
+make check-unit
+./profanity -v
+make clean
+
+echo
+echo "--> Building with ./configure"
+echo
+./configure
+make
+make check
+./profanity -v
+make clean
+